#
# spec file for package vdr-plugin-tvguide
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define pluginname tvguide
Name:           vdr-plugin-%{pluginname}
Version:        1.2.2
Release:        lp150.3.1
Summary:        Customizable 2D EPG viewer plugin
License:        GPL-2.0+
Group:          Hardware/TV
Url:            http://projects.vdr-developer.org/projects/plg-tvguide
Source0:        vdr-%{pluginname}-%{version}.tgz
Patch0:         missing-return.diff
# PATCH-FIX-OPENSUSE vdr-plugin-tvguide-no-segfault.diff -- no real fix, but at least log a message before crashing... --seife+obs@b1-systems.com
Patch1:         vdr-plugin-tvguide-no-segfault.diff
## Patches from https://launchpad.net/~fnu/+archive/ubuntu/stable-vdr-fnu/+packages
Patch100:       vdr-2.3.1-tvguide.diff
Patch101:       vdr-2.3.5-tvguide.diff
Patch102:       vdr-2.3.7-tvguide.diff
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig(GraphicsMagick++)
BuildRequires:  libcurl-devel
BuildRequires:  libxml2-devel
BuildRequires:  pkg-config
BuildRequires:  vdr-devel
BuildRequires:  fdupes
# FIXME: use proper Requires(pre/post/preun/...)
PreReq:         %{vdr_prereq}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
"TvGuide" is a highly customizable 2D EPG viewer plugin

%prep
%setup -q -n %{pluginname}-%{version}
%patch0 -p 1
%patch1 -p 1
%patch100 -p1
%patch101 -p1
%patch102 -p1

%build
# use msgmerge wrapper
export PATH=%{_datadir}/vdr:$PATH
make %{?_smp_mflags} IMAGELIB=graphicsmagick

%install
make DESTDIR=%{buildroot} install
%{vdr_find_locale}
%fdupes %{buildroot}

%files -f vdrlocale.files
%defattr(-,root,root)
%{_libdir}/vdr/*
%attr(-,vdr,root) %dir %{vdr_sysconfdir}/themes
%attr(-,vdr,root) %config %{vdr_sysconfdir}/themes/*
%{vdr_dirs}
%dir %{_datadir}/vdr/plugins
%dir %{_datadir}/vdr/plugins/tvguide
%dir %{_datadir}/vdr/plugins/tvguide/icons
%{_datadir}/vdr/plugins/tvguide/icons/*
%doc COPYING HISTORY README

%changelog
* Wed Dec 26 2018 Stefan Seyfried <seife+obs@b1-systems.com>
- add patches to fix build with current VDR:
  * vdr-2.3.{1,5,7}-tvguide.diff
* Tue Sep  5 2017 seife+obs@b1-systems.com
- build against GraphicsMagick instead of ImageMagick, this also
  fixes Factory build
* Sun Nov  2 2014 seife+obs@b1-systems.com
- update to 1.2.2
  - added scraper2vdr support
  - introduced tabbed EPG detail view
* Sat Apr 12 2014 seife+obs@b1-systems.com
- update to version 1.2.1
  - see HISTORY for details
- add vdr-plugin-tvguide-no-segfault.diff to fix instant segfault
  if the output device does not support TrueColor
- fix license string
* Sun Mar 30 2014 seife+obs@b1-systems.com
- avoid build date in locale files
* Sun Mar 30 2014 seife+obs@b1-systems.com
- run spec-cleaner
- remove vdrapi from package version
- use PreReq vdr_prereq instead of vdrapi requires
- fix permissions of /etc/vdr/plugins
* Sat Mar 29 2014 seife+obs@b1-systems.com
- use plain make instead of baroque vdr_plugin_* macros
* Mon Aug 19 2013 wittemar@googlemail.com
- update to 1.0.0
* Fri Jul 12 2013 wittemar@googlemail.com
- initial package
